package projet;

import java.util.List;

public interface PageRender {

	String getHeader(String titrePage);
	String getFooter();
	
    default String render(BlocRenderer blocRenderer, List<Bloc> blocs, String titrePage) {
        StringBuilder sb = new StringBuilder();
        sb.append(getHeader(titrePage));
        for (Bloc bloc : blocs) {
            sb.append(blocRenderer.render(bloc)).append("\n");
        }
        sb.append(getFooter());
        return sb.toString();
    }
}
